<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="wiced__result_8h" kind="file" language="C++">
    <compoundname>wiced_result.h</compoundname>
    <includes local="yes" refid="wiced__bt__constants_8h">wiced_bt_constants.h</includes>
    <includedby local="yes" refid="wiced__bt__types_8h">wiced_bt_types.h</includedby>
    <includedby local="yes" refid="wiced__bt__dev_8h">wiced_bt_dev.h</includedby>
    <includedby local="yes" refid="wiced__bt__avdt_8h">wiced_bt_avdt.h</includedby>
    <includedby local="yes" refid="wiced__bt__gatt_8h">wiced_bt_gatt.h</includedby>
    <includedby local="yes" refid="wiced__memory_8h">wiced_memory.h</includedby>
    <includedby local="yes" refid="wiced__timer_8h">wiced_timer.h</includedby>
      <sectiondef kind="enum">
      <memberdef id="group___result_1gacfc32ead8a827d53416f01b19eb58310" kind="enum" prot="public" static="no" strong="no">
        <type />
        <name>wiced_result_t</name>
        <enumvalue id="group___result_1ggacfc32ead8a827d53416f01b19eb58310a2a4a0c443158265405b11db3aadbb822" prot="public">
          <name>WICED_RESULT_LIST</name>
          <initializer>=( WICED_ )
    BT_RESULT_LIST      (  WICED_BT_       )
    FILESYSTEM_RESULT_LIST( WICED_FILESYSTEM_ )</initializer>
          <briefdescription>
<para>Generic Error. </para>
          </briefdescription>
          <detaileddescription>
<para>BT specific Error. Range: 8000 - 8999 10000 - 10999 </para>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>wiced_result_t: </bold><linebreak />WICED result.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="152" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_result.h" bodystart="147" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_result.h" line="148" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Generic types. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <programlisting>
<codeline lineno="1"><highlight class="comment">/*</highlight></codeline>
<codeline lineno="2"><highlight class="comment"><sp />*<sp />$<sp />Copyright<sp />Cypress<sp />Semiconductor<sp />$</highlight></codeline>
<codeline lineno="3"><highlight class="comment"><sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="4"><highlight class="normal" /></codeline>
<codeline lineno="12"><highlight class="preprocessor">#pragma<sp />once</highlight><highlight class="normal" /></codeline>
<codeline lineno="13"><highlight class="normal" /><highlight class="preprocessor">#include<sp />"wiced_bt_constants.h"</highlight><highlight class="normal" /></codeline>
<codeline lineno="14"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="15"><highlight class="normal" /><highlight class="keyword">extern</highlight><highlight class="normal"><sp /></highlight><highlight class="stringliteral">"C"</highlight><highlight class="normal"><sp />{</highlight></codeline>
<codeline lineno="16"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="17"><highlight class="normal" /></codeline>
<codeline lineno="18"><highlight class="normal" /><highlight class="comment">/******************************************************</highlight></codeline>
<codeline lineno="19"><highlight class="comment"><sp />*<sp />@cond<sp /><sp /><sp /><sp /><sp /><sp />Macros</highlight></codeline>
<codeline lineno="20"><highlight class="comment"><sp />******************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="21"><highlight class="normal" /></codeline>
<codeline lineno="22"><highlight class="normal" /><highlight class="preprocessor">#ifndef<sp />RESULT_ENUM</highlight><highlight class="normal" /></codeline>
<codeline lineno="23"><highlight class="normal" /><highlight class="preprocessor">#define<sp />RESULT_ENUM(<sp />prefix,<sp />name,<sp />value<sp />)<sp /><sp />prefix<sp />##<sp />name<sp />=<sp />(value)</highlight><highlight class="normal" /></codeline>
<codeline lineno="24"><highlight class="normal" /><highlight class="preprocessor">#endif<sp /></highlight><highlight class="comment">/*<sp />ifndef<sp />RESULT_ENUM<sp />*/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="25"><highlight class="normal" /></codeline>
<codeline lineno="34"><highlight class="comment">/*************************************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="35"><highlight class="normal" /></codeline>
<codeline lineno="37"><highlight class="preprocessor">#define<sp />WICED_RESULT_LIST(<sp />prefix<sp />)<sp />\</highlight></codeline>
<codeline lineno="38"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />SUCCESS,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x00<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="39"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />DELETED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x01<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="40"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NO_MEMORY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x10<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="41"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />POOL_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x02<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="42"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />PTR_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x03<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="43"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />WAIT_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x04<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="44"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />SIZE_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x05<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="45"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />GROUP_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x06<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="46"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NO_EVENTS<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x07<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="47"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />OPTION_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x08<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="48"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />QUEUE_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x09<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="49"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />QUEUE_EMPTY<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x0A<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="50"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />QUEUE_FULL<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x0B<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="51"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />SEMAPHORE_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x0C<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="52"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NO_INSTANCE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x0D<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="53"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />THREAD_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x0E<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="54"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />PRIORITY_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x0F<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="55"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />START_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x10<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="56"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />DELETE_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x11<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="57"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />RESUME_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x12<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="58"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />CALLER_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x13<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="59"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />SUSPEND_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x14<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="60"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />TIMER_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x15<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="61"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />TICK_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x16<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="62"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ACTIVATE_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x17<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="63"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />THRESH_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x18<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="64"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />SUSPEND_LIFTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x19<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="65"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />WAIT_ABORTED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x1A<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="66"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />WAIT_ABORT_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x1B<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="67"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />MUTEX_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x1C<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="68"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NOT_AVAILABLE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x1D<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="69"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NOT_OWNED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x1E<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="70"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />INHERIT_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x1F<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="71"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NOT_DONE<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x20<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="72"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />CEILING_EXCEEDED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x21<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="73"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />INVALID_CEILING<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x22<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="74"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />STA_JOIN_FAILED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x23),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="75"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />SLEEP_ERROR<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0x24),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="76"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />PENDING,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x25),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="77"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />TIMEOUT,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x26),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="78"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />PARTIAL_RESULTS,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x27),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="79"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ERROR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x28),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="80"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />BADARG,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x29),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="81"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />BADOPTION,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2A),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="82"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />UNSUPPORTED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2B),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="83"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />OUT_OF_HEAP_SPACE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2C),<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="84"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NOTUP,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2D),<sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="85"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />UNFINISHED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2E),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="86"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />CONNECTION_LOST,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x2F),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="87"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NOT_FOUND,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x30),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="88"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />PACKET_BUFFER_CORRUPT,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x31),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="89"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ROUTING_ERROR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x32),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="90"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />BADVALUE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x33),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="91"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />WOULD_BLOCK,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x34),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="92"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ABORTED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x35),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="93"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />CONNECTION_RESET,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x36),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="94"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />CONNECTION_CLOSED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x37),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="95"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NOT_CONNECTED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x38),<sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="96"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ADDRESS_IN_USE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x39),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="97"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NETWORK_INTERFACE_ERROR,<sp /><sp /><sp /><sp /><sp /><sp /><sp />0x3A),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="98"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ALREADY_CONNECTED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x3B),<sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="99"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />INVALID_INTERFACE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x3C),<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="100"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />SOCKET_CREATE_FAIL,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x3D),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="101"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />INVALID_SOCKET,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x3E),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="102"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />CORRUPT_PACKET_BUFFER,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x3F),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="103"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />UNKNOWN_NETWORK_STACK_ERROR,<sp /><sp /><sp />0x40),<sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="104"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />NO_STORED_AP_IN_DCT,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x41),<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="105"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ALREADY_INITIALIZED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />0x42),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="106"><highlight class="preprocessor"><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />FEATURE_NOT_ENABLED<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />,0xFF<sp />),<sp /><sp /></highlight></codeline>
<codeline lineno="111"><highlight class="preprocessor">#define<sp />FILESYSTEM_RESULT_LIST(<sp />prefix<sp />)<sp />\</highlight></codeline>
<codeline lineno="112"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />SUCCESS,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10000<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="113"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />PENDING,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10001<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="114"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />TIMEOUT,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10002<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="115"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />PARTIAL_RESULTS,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10003<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="116"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ERROR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10004<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="117"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />BADARG,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10005<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="118"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />BADOPTION,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10006<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="119"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />UNSUPPORTED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10007<sp />),<sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="120"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />DISK_ERROR,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10008<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="121"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />PATH_NOT_FOUND,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10009<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="122"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />MEDIA_NOT_READY,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10010<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="123"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />ACCESS_DENIED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10011<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="124"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />WRITE_PROTECTED,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10012<sp />),<sp /><sp /><sp /><sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="125"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />OUT_OF_SPACE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10013<sp />),<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="126"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />FILENAME_BUFFER_TOO_SMALL,<sp />10014<sp />),<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="127"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />END_OF_RESOURCE,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10015<sp />),<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="128"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />FILESYSTEM_INVALID,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10016<sp />),<sp /><sp /><sp /><sp />\</highlight></codeline>
<codeline lineno="129"><highlight class="preprocessor"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />RESULT_ENUM(<sp />prefix,<sp />BLOCK_SIZE_BAD,<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />10017<sp />),<sp /><sp /><sp /></highlight></codeline>
<codeline lineno="131"><highlight class="preprocessor" /><highlight class="comment">/******************************************************</highlight></codeline>
<codeline lineno="132"><highlight class="comment"><sp />*<sp />@endcond</highlight></codeline>
<codeline lineno="133"><highlight class="comment"><sp />******************************************************/</highlight><highlight class="preprocessor" /><highlight class="normal" /></codeline>
<codeline lineno="134"><highlight class="normal" /></codeline>
<codeline lineno="147"><highlight class="keyword">typedef</highlight><highlight class="normal"><sp /></highlight><highlight class="keyword">enum</highlight><highlight class="normal" /></codeline>
<codeline lineno="148"><highlight class="normal">{</highlight></codeline>
<codeline lineno="149"><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group___result_1ggacfc32ead8a827d53416f01b19eb58310a2a4a0c443158265405b11db3aadbb822">WICED_RESULT_LIST</ref><sp />(<sp />WICED_<sp />)<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="150"><highlight class="normal"><sp /><sp /><sp /><sp />BT_RESULT_LIST<sp /><sp /><sp /><sp /><sp /><sp />(<sp /><sp />WICED_BT_<sp /><sp /><sp /><sp /><sp /><sp /><sp />)<sp /><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline lineno="151"><highlight class="normal"><sp /><sp /><sp /><sp />FILESYSTEM_RESULT_LIST(<sp />WICED_FILESYSTEM_<sp />)<sp /><sp /></highlight></codeline>
<codeline lineno="152"><highlight class="normal">}<sp /><ref kindref="member" refid="group___result_1gacfc32ead8a827d53416f01b19eb58310">wiced_result_t</ref>;</highlight></codeline>
<codeline lineno="153"><highlight class="normal" /></codeline>
<codeline lineno="156"><highlight class="comment">/******************************************************</highlight></codeline>
<codeline lineno="157"><highlight class="comment"><sp />*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Structures</highlight></codeline>
<codeline lineno="158"><highlight class="comment"><sp />******************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="159"><highlight class="normal" /></codeline>
<codeline lineno="160"><highlight class="normal" /><highlight class="comment">/******************************************************</highlight></codeline>
<codeline lineno="161"><highlight class="comment"><sp />*<sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp />Function<sp />Declarations</highlight></codeline>
<codeline lineno="162"><highlight class="comment"><sp />******************************************************/</highlight><highlight class="normal" /></codeline>
<codeline lineno="163"><highlight class="normal" /></codeline>
<codeline lineno="164"><highlight class="normal" /><highlight class="preprocessor">#ifdef<sp />__cplusplus</highlight><highlight class="normal" /></codeline>
<codeline lineno="165"><highlight class="normal">}<sp /></highlight><highlight class="comment">/*extern<sp />"C"<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline lineno="166"><highlight class="normal" /><highlight class="preprocessor">#endif</highlight><highlight class="normal" /></codeline>
<codeline lineno="167"><highlight class="normal" /></codeline>
    </programlisting>
    <location file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_result.h" />
  </compounddef>
</doxygen>